Loading...
Searching...
No Matches
NumberLayoutMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots

void | getHoriz ()
void | getVert ()
void | getNone ()

## Signals

void | whichTrigger (gr::qtgui::graph_t layout)

## Public Member Functions

| NumberLayoutMenu (QWidget *parent)
| ~NumberLayoutMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)
QAction * | getAction (gr::qtgui::graph_t layout)

## Constructor & Destructor Documentation

## NumberLayoutMenu()

NumberLayoutMenu::NumberLayoutMenu | ( | QWidget * | parent | ) |

inline

References getHoriz(), getNone(), and getVert().

## ~NumberLayoutMenu()

NumberLayoutMenu::~NumberLayoutMenu | ( |  | ) |

inline override

## Member Function Documentation

## getAction() [1/2]

QAction * NumberLayoutMenu::getAction | ( | gr::qtgui::graph_t | layout | ) |

inline

References gr::qtgui::NUM_GRAPH_HORIZ, gr::qtgui::NUM_GRAPH_NONE, and gr::qtgui::NUM_GRAPH_VERT.

## getAction() [2/2]

QAction * NumberLayoutMenu::getAction | ( | unsigned int | which | ) |

inline

## getHoriz

void NumberLayoutMenu::getHoriz | ( |  | ) |

inline slot

References gr::qtgui::NUM_GRAPH_HORIZ, and whichTrigger().

Referenced by NumberLayoutMenu().

## getNone

void NumberLayoutMenu::getNone | ( |  | ) |

inline slot

References gr::qtgui::NUM_GRAPH_NONE, and whichTrigger().

Referenced by NumberLayoutMenu().

## getNumActions()

int NumberLayoutMenu::getNumActions | ( |  | ) | const

inline

## getVert

void NumberLayoutMenu::getVert | ( |  | ) |

inline slot

References gr::qtgui::NUM_GRAPH_VERT, and whichTrigger().

Referenced by NumberLayoutMenu().

## whichTrigger

void NumberLayoutMenu::whichTrigger | ( | gr::qtgui::graph_t | layout | ) |

signal

Referenced by getHoriz(), getNone(), and getVert().

The documentation for this class was generated from the following file:

- form_menus.h